label stairs_f2:
    scene bg empty onlayer backgrounds #with Dissolve(0.5)
    show screen stairs_f2_screen_bg #with Dissolve(0.5)
    show screen stairs_f2_screen_top
    $ infobox = ""
    $ floor_type = "dirt"
    $ floor2_nav["stairs_f2"] = False
    $ maxY = 800 - charadj_y
    $ minY = 700 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    $ sX = 800
    $ sY = 200
    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    #if 6 not in floor1_cutscenes:
    #    jump cutscene_6

    show screen checkMouse
    $ renpy.pause(hard=True)
label stairs_f2_ladder:
    $ cutscene=True
    $ floor2_ints["stairs_f2_ladder"] = False
    hide screen checkMouse

    "I should probably go back, but... I can't help wondering what's going on here."

    "You know what? I'm going in."

    show screen checkMouse
    jump checkDist

label bedroom2:
    scene bg empty onlayer backgrounds #with Dissolve(0.5)
    show screen bedroom2_screen_bg #with Dissolve(0.5)
    show screen bedroom2_screen_top
    $ infobox = ""
    $ floor_type = "dirt"
    $ floor2_nav["bedroom2"] = False
    $ maxY = 900 - charadj_y
    $ minY = 850 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    if prev_room == "stairs_f2":
        $ sX = 1400
        $ sY = 350
        $ dir = -1.0
    else:
        $ sX = 50
        $ sY = 350
        $ dir = 1.0
    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    if 8 not in floor2_cutscenes:
        jump cutscene_8

    show screen checkMouse
    $ renpy.pause(hard=True)
label bedroom2_bed:
    $ cutscene=True
    $ floor2_ints["bedroom2_bed"] = False
    hide screen checkMouse

    "Is this supposed to be a bed?"

    prince "I would NOT want to sleep here."

    show screen checkMouse
    jump checkDist
label bedroom2_lantern_chain:
    $ cutscene=True
    $ floor2_ints["bedroom2_lantern_chain"] = False
    hide screen checkMouse

    "There's a lantern hanging from the ceiling."

    "The rusty chain it's being held up with looks like it could snap at any moment."

    if "Slingshot" in inventorylist:
        "I think I can shoot it down with this slingshot, but there's only one shot."

        "Should I do it?"

        menu:
            "Shoot it down!":
                jump cutscene_12

            "No, wait...":
                "No, nevermind."

    show screen checkMouse
    jump checkDist
label bedroom2_lantern:
    $ cutscene=True
    $ floor2_ints["bedroom2_lantern"] = False
    hide screen checkMouse

    "It's shattered. Why did I do this again?"

    if "Shiny Bracelet" not in inventorylist:

        "The chain broke off from the lantern when it fell."

        "Somehow, there's a little bit of shine where the rust is cracked."

        prince "Let's take a closer look."

        $ floor2_buttons["bedroom2_chain"] = False

        prince "If I take my shirt and rub it a little... Aha!"

        $ dir = -dir
        show prince happy zorder 10 onlayer screens:
            xpos sX
            ypos sY
            xzoom dir

        prince "It is... or was... a bracelet! What a find!!"

        show prince stand  zorder 10 onlayer screens:
            xpos sX
            ypos sY
            xzoom dir

        "Who would use something this to hold up a lantern?"

        "Anyway, I'll take it with me."

        play sound "audio/sounds/inventorychime1.ogg"

        $ new_item = "Shiny Bracelet"
        $ inventory_add_toggle = True
        $ inventorylist.append("Shiny Bracelet")

        show screen checkMouse
        show screen inventory_add
    else:
        show screen checkMouse
    jump checkDist


label livingroom2:
    scene bg empty onlayer backgrounds #with Dissolve(0.5)
    show screen livingroom2_screen_bg #with Dissolve(0.5)
    show screen livingroom2_screen_top
    $ infobox = ""
    $ floor_type = "dirt"
    $ floor2_nav["livingroom2"] = False
    $ maxY = 1000 - charadj_y
    $ minY = 900 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    $ sX = 100
    $ sY = 500
    $ dir = 1.0
    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    show screen checkMouse
    $ renpy.pause(hard=True)
label livingroom2_couch:
    $ cutscene=True
    $ floor2_ints["livingroom2_couch"] = False
    hide screen checkMouse

    "A couch about to fall through a hole in the wall. Did this place used to look like a normal apartment?"

    show screen checkMouse
    jump checkDist
label livingroom2_window:
    $ cutscene=True
    $ floor2_ints["livingroom2_window"] = False
    hide screen checkMouse

    "It's closed. Of course it's closed."

    show screen checkMouse
    jump checkDist


label hallway2:
    scene bg empty onlayer backgrounds# with Dissolve(0.5)
    show screen hallway2_screen_bg #with Dissolve(0.5)
    show screen hallway2_screen_top
    show screen interaction_bg
    $ infobox = ""
    $ floor_type = "dirt"
    $ floor2_nav["hallway2"] = False
    $ maxY = maxY_base
    $ minY = 850-charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    if prev_room == "bedroom2":
        $ sX = 1600
        $ sY = 400
    elif prev_room == "livingroom2":
        $ sX = 1400
        $ sY = 500
    else:
        $ sX = 200
        $ sY = 400
    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    show screen checkMouse
    $ renpy.pause(hard=True)
label hallway2_lantern:
    $ cutscene=True
    $ floor2_ints["hallway2_lantern"] = False
    hide screen checkMouse

    "This lantern looks like the one in the, um, bedroom - but it's handing from a thick, sturdy rope."

    if "Slingshot" in inventorylist:
        "Maybe I can shoot it down with this slingshot, but there's only one shot."

        "Should I do it?"

        menu:
            "Shoot it down!":
                jump cutscene_13

            "No, wait...":
                "No, nevermind."

    show screen checkMouse
    jump checkDist

label chapel2:
    scene bg empty onlayer backgrounds# with Dissolve(0.5)
    show screen chapel2_screen_bg #with Dissolve(0.5)
    show screen chapel2_screen_top
    $ infobox = ""
    $ floor_type = "dirt"
    $ floor2_nav["chapel2"] = False
    $ maxY = 1000 - charadj_y
    $ minY = 850 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    if prev_room == "hallway2":
        $ sX = 1700
        $ sY = 400
    else:
        $ sX = 100
        $ sY = 400
        $ trigger_painting_text = True
    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    if 9 not in floor2_cutscenes:
        jump cutscene_9


    show screen checkMouse
    $ renpy.pause(hard=True)
label chapel2_shovel:
    $ cutscene=True
    $ floor2_ints["chapel2_shovel"] = False
    hide screen checkMouse

    "This cross is pretty. Oh, there's something attached to the bottom."

    show prince happy zorder 10 onlayer screens at cutscene_transform_stand

    prince "A shovel? Huh. I could use this."

    play sound "audio/sounds/inventorychime1.ogg"

    $ floor2_buttons["chapel2_shovel"] = False
    $ new_item = "Shovel"
    $ inventory_add_toggle = True
    $ inventorylist.append("Shovel")

    show screen checkMouse
    show screen inventory_add
    jump checkDist
label chapel2_statue:
    $ cutscene=True
    $ floor2_ints["chapel2_statue"] = False
    hide screen checkMouse

    "It's a statue of a woman. She looks... sad."

    play sound "audio/sounds/Demonstatue.ogg"

    show screen checkMouse
    jump checkDist
label chapel2_grave1:
    $ cutscene=True
    $ floor2_ints["chapel2_grave1"] = False
    hide screen checkMouse

    "The first grave. There's an engraving in the marker."

    prince "'One slew none, yet slew four.'"

    if "Shovel" in inventorylist and floor2_buttons["chapel2_grave1"]:
        "Dig up the grave?"
        menu:
            "Dig.":
                # fade to black
                show intro empty zorder 64 onlayer screens with Dissolve(0.5)
                play sound "audio/sounds/dig1.ogg"
                $ renpy.pause(1.0)
                # fadeout to swapped image
                $ floor2_buttons["chapel2_grave1"] = False
                show intro empty_true zorder 64 onlayer screens with Dissolve(0.5)
                "... empty."

            "Leave it alone.":
                "I don't want to dig this up right now."

    show screen checkMouse
    jump checkDist
label chapel2_grave2:
    $ cutscene=True
    $ floor2_ints["chapel2_grave2"] = False
    hide screen checkMouse

    "The second grave. There's an engraving in the marker."

    prince "'A swan, who drank from the river of poison.'"

    if "Shovel" in inventorylist and floor2_buttons["chapel2_grave2"]:
        "Dig up the grave?"
        menu:
            "Dig.":
                # fade to black
                show intro empty zorder 64 onlayer screens with Dissolve(0.5)
                play sound "audio/sounds/dig1.ogg"
                $ renpy.pause(1.0)
                # fadeout to swapped image
                $ floor2_buttons["chapel2_grave2"] = False
                show intro empty_true zorder 64 onlayer screens with Dissolve(0.5)
                "... empty."

            "Leave it alone.":
                "I don't want to dig this up right now."

    show screen checkMouse
    jump checkDist
label chapel2_grave3:
    $ cutscene=True
    $ floor2_ints["chapel2_grave3"] = False
    hide screen checkMouse

    "The third grave. There's an engraving in the marker."

    prince "'And then three, who ate of the swan who drank of the poison, and slept a long sleep.'"

    if "Shovel" in inventorylist and floor2_buttons["chapel2_grave3"]:
        "Dig up the grave?"
        menu:
            "Dig.":
                # fade to black
                show intro empty zorder 64 onlayer screens with Dissolve(0.5)
                play sound "audio/sounds/dig1.ogg"
                $ renpy.pause(1.0)
                # fadeout to swapped image
                $ floor2_buttons["chapel2_grave3"] = False
                show intro empty_true zorder 64 onlayer screens with Dissolve(0.5)
                "... Whoa! A slingshot!"

                play sound "audio/sounds/inventorychime1.ogg"
                $ new_item = "Slingshot"
                $ inventory_add_toggle = True
                $ inventorylist.append("Slingshot")
                $ dig_recent = True

            "Leave it alone.":
                "I don't want to dig this up right now."

    show screen checkMouse
    if dig_recent:
        show screen inventory_add
    $ dig_recent = False
    jump checkDist
label chapel2_grave4:
    $ cutscene=True
    $ floor2_ints["chapel2_grave4"] = False
    hide screen checkMouse

    "The fourth grave. There's an engraving in the marker."

    prince "'All were innocent, except for the hunter.'"

    if "Shovel" in inventorylist and floor2_buttons["chapel2_grave4"]:
        "Dig up the grave?"
        menu:
            "Dig.":
                # fade to black
                show intro empty zorder 64 onlayer screens with Dissolve(0.5)
                play sound "audio/sounds/dig1.ogg"
                $ renpy.pause(1.0)
                # fadeout to swapped image
                $ floor2_buttons["chapel2_grave4"] = False
                show intro empty_true zorder 64 onlayer screens with Dissolve(0.5)
                "Ew, bones!"

                "...Well, I don't know what I was expecting."

                "They look like bird bones. Like... maybe swan bones."

                "I guess I'll take them. Ugh."

                play sound "audio/sounds/inventorychime1.ogg"

                $ new_item = "Swan Bones"
                $ inventory_add_toggle = True
                $ inventorylist.append("Swan Bones")
                $ dig_recent = True

            "Leave it alone.":
                "I don't want to dig this up right now."

    show screen checkMouse
    if dig_recent:
        show screen inventory_add
    $ dig_recent = False
    jump checkDist

label painting2:
    scene bg empty onlayer backgrounds #with Dissolve(0.5)
    show screen painting2_screen_bg #with Dissolve(0.5)
    show screen painting2_screen_top
    #show screen painting2_screen_top
    $ infobox = ""
    $ floor_type = "dirt"
    $ floor2_nav["painting2"] = False
    $ maxY = 1050 - charadj_y
    $ minY = 1000 - charadj_y
    $ maxX = maxX_base
    $ minX = minX_base

    window hide
    $ standWalk=0
    $ sX = 1700
    $ sY = 500
    show prince stand zorder 10 onlayer screens with Dissolve(0.5):
        xpos sX
        ypos sY
        xzoom dir

    if 10 not in floor2_cutscenes:
        jump cutscene_10

    show screen checkMouse
    $ renpy.pause(hard=True)
label painting2_painting:
    $ cutscene=True
    $ floor2_ints["painting2_painting"] = False
    hide screen checkMouse

    "I've never seen a painting like this before. It's so realistic."

    if not trigger_painting_text and "Shiny Bracelet" in inventorylist:
        "Is the woman glowing?"
    elif "Shiny Bracelet" in inventorylist:
        "The woman looks like she's glowing now... that's different."

    prince "It feels like I'm being pulled into the painting..."

    prince "I want to take her hand..."

    menu:
        "Take her hand.":
            if "Shiny Bracelet" in inventorylist:
                jump cutscene_end_good
            else:
                jump cutscene_end_bad

        "Don't take her hand.":
            "Maybe later."

    show screen checkMouse
    jump checkDist
label painting2_painting_label:
    $ cutscene=True
    $ floor2_ints["painting2_painting_label"] = False
    hide screen checkMouse

    "Read the caption?"
    menu:
        "Yes.":
            prince "'The first boy: I drank from my mother's cup.'"
            prince "'The second boy: My brothers suffered a cruel curse because of me.'"
            prince "'The third boy: We were starving because the winter was long and cold.'"
            prince "'The fourth boy: Mother told us she'd keep us safe and warm.'"
        "Not right now.":
            prince "Maybe later."

    show screen checkMouse
    jump checkDist
label painting2_boy1:
    $ cutscene=True
    $ floor2_ints["painting2_boy1"] = False
    hide screen checkMouse
    $ clickable = False

    if "Sheet Music" in inventorylist:
        boy1 "Thank you."
    else:
        boy1 "Brother gave me something nice to drink. It was warm."

        if 10 in floor2_cutscenes and 11 not in floor2_cutscenes:
            if g_boy1 == 0:
                "Based on those graves, this boy must be inside..."
                menu:
                    "The first grave." if g_boy2 != 1 and g_boy3 != 1 and g_boy4 != 1:
                        $ g_boy1 = 1
                        "Yeah. The first grave. Right?"

                    "The second grave." if g_boy2 != 2 and g_boy3 != 2 and g_boy4 != 2:
                        $ g_boy1 = 2
                        "Yeah. The second grave. Right?"

                    "The third grave." if g_boy2 != 3 and g_boy3 != 3 and g_boy4 != 3:
                        $ g_boy1 = 3
                        "Yeah. The third grave. Right?"

                    "The fourth grave." if g_boy2 != 4 and g_boy3 != 4 and g_boy4 != 4:
                        $ g_boy1 = 4
                        "Yeah. The fourth grave. Right?"

                    "Nevermind.":
                        "I don't want to do this right now."
            else:
                if g_boy1 == 1:
                    "I thought before that he could be in the first grave."
                elif g_boy1 == 2:
                    "I thought before that he could be in the second grave."
                elif g_boy1 == 3:
                    "I thought before that he could be in the third grave."
                else:
                    "I thought before that he could be in the fourth grave."
                "Should I select someone else?"
                menu:
                    "Yes.":
                        $ g_boy1 = 0
                        "Based on those graves, this boy must be inside..."
                        menu:
                            "The first grave." if g_boy2 != 1 and g_boy3 != 1 and g_boy4 != 1:
                                $ g_boy1 = 1
                                "Yeah. The first grave. Right?"

                            "The second grave." if g_boy2 != 2 and g_boy3 != 2 and g_boy4 != 2:
                                $ g_boy1 = 2
                                "Yeah. The second grave. Right?"

                            "The third grave." if g_boy2 != 3 and g_boy3 != 3 and g_boy4 != 3:
                                $ g_boy1 = 3
                                "Yeah. The third grave. Right?"

                            "The fourth grave." if g_boy2 != 4 and g_boy3 != 4 and g_boy4 != 4:
                                $ g_boy1 = 4
                                "Yeah. The fourth grave. Right?"

                            "Nevermind.":
                                "I don't want to do this right now."
                    "No.":
                        "No, I'm happy with my choice."

            if g_boy1+g_boy2+g_boy3+g_boy4 == 10 and (g_boy1 != 2 or g_boy2 != 1 or g_boy3 != 4 or g_boy4 != 3):
                "... nothing happened."

                "Reset the puzzle?"

                menu:
                    "Yes, please.":
                        $ g_boy1 = 0
                        $ g_boy2 = 0
                        $ g_boy3 = 0
                        $ g_boy4 = 0
                        "Puzzle reset."

                    "No, not now.":
                        "Eh. Later."
            elif g_boy1+g_boy2+g_boy3+g_boy4 == 10:
                jump cutscene_11

    $ cutscene_navigation(mX0=600,mY0=450,dir0=-1.0)
    $ dir = 1.0
    $ sX = 600
    $ sY = 450
    show prince stand zorder 10 onlayer screens at cutscene_transform_stand

    $ renpy.pause(0.5)


    $ clickable = True
    $ cutscene=False
    show screen checkMouse
    jump stand
label painting2_boy2:
    $ cutscene=True
    $ floor2_ints["painting2_boy2"] = False
    $ clickable = False
    hide screen checkMouse

    if "Sheet Music" in inventorylist:
        boy2 "Thank you."
    else:
        boy2 "I didn’t mean to hurt any of them. My brothers suffered so."

        if 10 in floor2_cutscenes and 11 not in floor2_cutscenes:
            if g_boy2 == 0:
                "Based on those graves, this boy must be inside..."
                menu:
                    "The first grave." if g_boy1 != 1 and g_boy3 != 1 and g_boy4 != 1:
                        $ g_boy2 = 1
                        "Yeah. The first grave. Right?"

                    "The second grave." if g_boy1 != 2 and g_boy3 != 2 and g_boy4 != 2:
                        $ g_boy2 = 2
                        "Yeah. The second grave. Right?"

                    "The third grave." if g_boy1 != 3 and g_boy3 != 3 and g_boy4 != 3:
                        $ g_boy2 = 3
                        "Yeah. The third grave. Right?"

                    "The fourth grave." if g_boy1 != 4 and g_boy3 != 4 and g_boy4 != 4:
                        $ g_boy2 = 4
                        "Yeah. The fourth grave. Right?"

                    "Nevermind.":
                        "I don't want to do this right now."
            else:
                if g_boy2 == 1:
                    "I thought before that he could be in the first grave."
                elif g_boy2 == 2:
                    "I thought before that he could be in the second grave."
                elif g_boy2 == 3:
                    "I thought before that he could be in the third grave."
                else:
                    "I thought before that he could be in the fourth grave."
                "Should I select somewhere else?"
                menu:
                    "Yes.":
                        $ g_boy2 = 0
                        "Based on those graves, this boy must be inside..."
                        menu:
                            "The first grave." if g_boy1 != 1 and g_boy3 != 1 and g_boy4 != 1:
                                $ g_boy2 = 1
                                "Yeah. The first grave. Right?"

                            "The second grave." if g_boy1 != 2 and g_boy3 != 2 and g_boy4 != 2:
                                $ g_boy2 = 2
                                "Yeah. The second grave. Right?"

                            "The third grave." if g_boy1 != 3 and g_boy3 != 3 and g_boy4 != 3:
                                $ g_boy2 = 3
                                "Yeah. The third grave. Right?"

                            "The fourth grave." if g_boy1 != 4 and g_boy3 != 4 and g_boy4 != 4:
                                $ g_boy2 = 4
                                "Yeah. The fourth grave. Right?"

                            "Nevermind.":
                                "I don't want to do this right now."
                    "No.":
                        "No, I'm happy with my choice."

            if g_boy1+g_boy2+g_boy3+g_boy4 == 10 and (g_boy1 != 2 or g_boy2 != 1 or g_boy3 != 4 or g_boy4 != 3):
                "... nothing happened."

                "Reset the puzzle?"

                menu:
                    "Yes, please.":
                        $ g_boy1 = 0
                        $ g_boy2 = 0
                        $ g_boy3 = 0
                        $ g_boy4 = 0
                        "Puzzle reset."

                    "No, not now.":
                        "Eh. Later."
            elif g_boy1+g_boy2+g_boy3+g_boy4 == 10:
                jump cutscene_11

    $ cutscene_navigation(mX0=600,mY0=450,dir0=-1.0)
    $ dir = 1.0
    $ sX = 600
    $ sY = 450
    show prince stand zorder 10 onlayer screens at cutscene_transform_stand

    $ renpy.pause(0.5)


    $ clickable = True
    $ cutscene=False
    show screen checkMouse
    jump stand
label painting2_boy3:
    $ cutscene=True
    $ floor2_ints["painting2_boy3"] = False
    $ clickable = False
    hide screen checkMouse

    if "Sheet Music" in inventorylist:
        boy3 "Thank you."
    else:
        boy3 "We were starving, my brothers and me, but mother was good at hunting."

        if 10 in floor2_cutscenes and 11 not in floor2_cutscenes:
            if g_boy3 == 0:
                "Based on those graves, this boy must be inside..."
                menu:
                    "The first grave." if g_boy1 != 1 and g_boy2 != 1 and g_boy4 != 1:
                        $ g_boy3 = 1
                        "Yeah. The first grave. Right?"

                    "The second grave." if g_boy1 != 2 and g_boy2 != 2 and g_boy4 != 2:
                        $ g_boy3 = 2
                        "Yeah. The second grave. Right?"

                    "The third grave." if g_boy1 != 3 and g_boy2 != 3 and g_boy4 != 3:
                        $ g_boy3 = 3
                        "Yeah. The third grave. Right?"

                    "The fourth grave." if g_boy1 != 4 and g_boy2 != 4 and g_boy4 != 4:
                        $ g_boy3 = 4
                        "Yeah. The fourth grave. Right?"

                    "Nevermind.":
                        "I don't want to do this right now."
            else:
                if g_boy3 == 1:
                    "I thought before that he could be in the first grave."
                elif g_boy3 == 2:
                    "I thought before that he could be in the second grave."
                elif g_boy3 == 3:
                    "I thought before that he could be in the third grave."
                else:
                    "I thought before that he could be in the fourth grave."
                "Should I select somewhere else?"
                menu:
                    "Yes.":
                        $ g_boy3 = 0
                        "Based on those graves, this boy must be inside..."
                        menu:
                            "The first grave." if g_boy1 != 1 and g_boy2 != 1 and g_boy4 != 1:
                                $ g_boy3 = 1
                                "Yeah. The first grave. Right?"

                            "The second grave." if g_boy1 != 2 and g_boy2 != 2 and g_boy4 != 2:
                                $ g_boy3 = 2
                                "Yeah. The second grave. Right?"

                            "The third grave." if g_boy1 != 3 and g_boy2 != 3 and g_boy4 != 3:
                                $ g_boy3 = 3
                                "Yeah. The third grave. Right?"

                            "The fourth grave." if g_boy1 != 4 and g_boy2 != 4 and g_boy4 != 4:
                                $ g_boy3 = 4
                                "Yeah. The fourth grave. Right?"

                            "Nevermind.":
                                    "I don't want to do this right now."
                    "No.":
                        "No, I'm happy with my choice."

            if g_boy1+g_boy2+g_boy3+g_boy4 == 10 and (g_boy1 != 2 or g_boy2 != 1 or g_boy3 != 4 or g_boy4 != 3):
                "... nothing happened."

                "Reset the puzzle?"

                menu:
                    "Yes, please.":
                        $ g_boy1 = 0
                        $ g_boy2 = 0
                        $ g_boy3 = 0
                        $ g_boy4 = 0
                        "Puzzle reset."

                    "No, not now.":
                        "Eh. Later."
            elif g_boy1+g_boy2+g_boy3+g_boy4 == 10:
                jump cutscene_11

    $ cutscene_navigation(mX0=600,mY0=450,dir0=-1.0)
    $ dir = 1.0
    $ sX = 600
    $ sY = 450
    show prince stand zorder 10 onlayer screens at cutscene_transform_stand

    $ renpy.pause(0.5)


    $ clickable = True
    $ cutscene=False
    show screen checkMouse
    jump stand
label painting2_boy4:
    $ cutscene=True
    $ floor2_ints["painting2_boy4"] = False
    $ clickable = False
    hide screen checkMouse

    if "Sheet Music" in inventorylist:
        boy4 "Thank you."
    else:
        boy4 "I was all alone in the dark when I ate dinner. I fell asleep so full and happy."

        if 10 in floor2_cutscenes and 11 not in floor2_cutscenes:
            if g_boy4 == 0:
                "Based on those graves, this boy must be inside..."
                menu:
                    "The first grave." if g_boy1 != 1 and g_boy2 != 1 and g_boy3 != 1:
                        $ g_boy4 = 1
                        "Yeah. The first grave. Right?"

                    "The second grave." if g_boy1 != 2 and g_boy2 != 2 and g_boy3 != 2:
                        $ g_boy4 = 2
                        "Yeah. The second grave. Right?"

                    "The third grave." if g_boy1 != 3 and g_boy2 != 3 and g_boy3 != 3:
                        $ g_boy4 = 3
                        "Yeah. The third grave. Right?"

                    "The fourth grave." if g_boy1 != 4 and g_boy2 != 4 and g_boy3 != 4:
                        $ g_boy4 = 4
                        "Yeah. The fourth grave. Right?"

                    "Nevermind.":
                        "I don't want to do this right now."
            else:
                if g_boy4 == 1:
                    "I thought before that he could be in the first grave."
                elif g_boy4 == 2:
                    "I thought before that he could be in the second grave."
                elif g_boy4 == 3:
                    "I thought before that he could be in the third grave."
                else:
                    "I thought before that he could be in the fourth grave."
                "Should I select somewhere else?"
                menu:
                    "Yes.":
                        $ g_boy4 = 0
                        "Based on those graves, this boy must be inside..."
                        menu:
                            "The first grave." if g_boy1 != 1 and g_boy2 != 1 and g_boy3 != 1:
                                $ g_boy4 = 1
                                "Yeah. The first grave. Right?"

                            "The second grave." if g_boy1 != 2 and g_boy2 != 2 and g_boy3 != 2:
                                $ g_boy4 = 2
                                "Yeah. The second grave. Right?"

                            "The third grave." if g_boy1 != 3 and g_boy2 != 3 and g_boy3 != 3:
                                $ g_boy4 = 3
                                "Yeah. The third grave. Right?"

                            "The fourth grave." if g_boy1 != 4 and g_boy2 != 4 and g_boy3 != 4:
                                $ g_boy4 = 4
                                "Yeah. The fourth grave. Right?"

                            "Nevermind.":
                                "I don't want to do this right now."
                    "No.":
                        "No, I'm happy with my choice."

            if g_boy1+g_boy2+g_boy3+g_boy4 == 10 and (g_boy1 != 2 or g_boy2 != 1 or g_boy3 != 4 or g_boy4 != 3):
                "... nothing happened."

                "Reset the puzzle?"

                menu:
                    "Yes, please.":
                        $ g_boy1 = 0
                        $ g_boy2 = 0
                        $ g_boy3 = 0
                        $ g_boy4 = 0
                        "Puzzle reset."

                    "No, not now.":
                        "Eh. Later."
            elif g_boy1+g_boy2+g_boy3+g_boy4 == 10:
                jump cutscene_11

    $ cutscene_navigation(mX0=600,mY0=450,dir0=-1.0)
    $ dir = 1.0
    $ sX = 600
    $ sY = 450
    show prince stand zorder 10 onlayer screens at cutscene_transform_stand

    $ renpy.pause(0.5)


    $ clickable = True
    $ cutscene=False
    show screen checkMouse
    jump stand
